View Issue Details

IDProjectCategoryView StatusLast Update
0006560Talerwallet (TS core)public2020-10-03 14:10
ReporterFlorian Dold Assigned ToFlorian Dold  
PriorityurgentSeveritytweakReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version0.8 
Target Version0.8Fixed in Version0.8 
Summary0006560: review DB schema before upgrading becomes harder
Descriptionsee summary
TagsNo tags attached.

Activities

Florian Dold

2020-09-08 23:11

manager   ~0016934

Mostly done, still 0006562 might have some impact on the DB schema.

Florian Dold

2020-09-09 09:24

manager   ~0016937

Actually, 0006562 can be implemented in a backwards-compatibly way by just making the reference timestamp fields optional and interpreting missing timestamp fields as "reference was too far into the future".

Otherwise, the DB cleanup is complete.

Issue History

Date Modified Username Field Change
2020-09-03 14:47 Florian Dold New Issue
2020-09-03 14:47 Florian Dold Status new => assigned
2020-09-03 14:47 Florian Dold Assigned To => Florian Dold
2020-09-05 13:55 Christian Grothoff Severity minor => tweak
2020-09-08 23:11 Florian Dold Note Added: 0016934
2020-09-09 09:24 Florian Dold Status assigned => resolved
2020-09-09 09:24 Florian Dold Resolution open => fixed
2020-09-09 09:24 Florian Dold Note Added: 0016937
2020-10-03 14:08 Christian Grothoff Fixed in Version => 0.8
2020-10-03 14:10 Christian Grothoff Target Version => 0.8